Get a User Profile by ID
get
/api/AAA/UserProfiles/{id}
Gets the user profile that matches the specified ID.
Request
Path Parameters
-
id(required): integer(int32)
The user profile ID.Example:
3
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful operation
Root Schema : schema
Match All
Show Source
-
object
SuccessfulGetOperation
The response body for a successful get operation.
-
object
type
Nested Schema : SuccessfulGetOperation
Type:
objectThe response body for a successful get operation.
Show Source
-
message: string
The response message.Example:
Loaded 1 entries -
success: boolean
Whether the operation was a success (true) or a failure (false).Example:
true
Nested Schema : AAAUsersRead
Type:
objectUser details.
Show Source
-
AccountExpiration: string
The date and time when the account's password will expire. 0 means it never expires.Example:
2025-10-04 12:30:00 or 2025-10-04 -
AccountStatus: integer
A flag to indicate if the user account is enabled (1) or disabled (0).Example:
1 -
AuthenticationType: object
AuthenticationType
The authentication type instance for the user..
-
AuthenticationTypeName: string
The authentication type instance name.Example:
Internal -
EmailAddress: string
The user email address.Example:
example@example.com -
FailedLoginCount: integer
The number of failed logins.Example:
0 -
FullName: string
The full name of the user.Example:
Operator -
LastLoginFailed: integer
The last failed login attempt.Example:
0 -
LastLoginSuccess: integer
The last successful login attempt.Example:
0 -
Password: string
The user's password. Required for Internal authentication only.Example:
-
PasswordExpiration: string
The value of the PasswordExpiration field can vary depending on the PasswordChange setting and the expiration details provided when setting up the user
If PasswordChange is set to 'immediate', this field returns 0 to indicate that Force Password Change is set to "At Next Login".
If PasswordChange is set to 'never', this field returns a future date such as "2038-01-19 01:14:07".
If PasswordChange is set to 'date', this field returns whatever future date was specified.Example:2025-10-04 12:30:00 or 2025-10-04 -
Preferences: array
Preferences
The user preferences.
-
Properties: array
Properties
The user's properties.
-
RepeatPassword: string
The user's password, repeated. Required for Internal authentication only.Example:
-
Subgroups: array
Subgroups
A list of the user's subgroup IDs. Users inherit only restrictive access properties set for the subgroup, not roles or preferences.
-
SupportUsername: string
The support user name.Example:
-
UserGroup: object
UserGroup
The user group.
-
UserGroupName: string
The user group name.Example:
Administrators -
UserID: integer
The user ID.Example:
1065 -
UserName: string
The user name.Example:
operator
Nested Schema : AuthenticationType
Type:
objectThe authentication type instance for the user..
Show Source
-
id: integer
The unique identifier for the authentication type instance.
-
name: string
The name for the authentication type instance.
Example:
{
"id":"1",
"name":"Internal"
}Nested Schema : Subgroups
Type:
arrayA list of the user's subgroup IDs. Users inherit only restrictive access properties set for the subgroup, not roles or preferences.
Example:
[2, 1001]Nested Schema : UserGroup
Type:
objectThe user group.
Show Source
-
id: integer
The unique identifier for the primary user group from which the user inherits configurations which includes roles, properties, and preferences.
-
name: string
The user group name.
Example:
{
"id":"1",
"name":"Administrators"
}Nested Schema : items
Type:
Show Source
object-
Description: string
The preference description.Example:
Default event list display (default 'Default') -
Override: integer
Whether the preference is unlocked (0), allowing the user to override their group preference, or locked (1), preventing the user from overriding it.Example:
0 -
PreferenceID: integer
The preference ID.Example:
3 -
PreferenceName: string
The preference name.Example:
DefaultDisplayID -
PreferenceValue: string
The preference value.Example:
5
Nested Schema : items
Type:
Show Source
object-
Description: string
The description associated with the property.Example:
Reserved for future use -
PropertyID: integer
The property ID.Example:
1 -
PropertyName: string
The property name.Example:
ResetQuestion -
PropertyValue: string
The property value.Example:
resetval
Default Response
Failed operation
Root Schema : schema
Type:
Show Source
object-
errors: array
errors
The list of errors reported. Validation errors will be keyed by record field.
-
message: string
The response message.Example:
Exception thrown -
success: boolean
Whether the operation was a success (true) or a failure (false).Example:
false
Nested Schema : errors
Type:
arrayThe list of errors reported. Validation errors will be keyed by record field.
Show Source
-
Array of:
object items
An error.
Nested Schema : items
Type:
objectAn error.